Bug 1776900 - Create Compute Resource fails due to uninitialized constant ForemanAzureRM::AzureSDKAdapter
Summary: Create Compute Resource fails due to uninitialized constant ForemanAzureRM::A...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Compute Resources - Azure
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: 6.7.0
Assignee: Aditi Puntambekar
QA Contact: vijsingh
URL:
Whiteboard:
Depends On:
Blocks: 1775890
TreeView+ depends on / blocked
 
Reported: 2019-11-26 14:37 UTC by Aditi Puntambekar
Modified: 2020-04-14 13:27 UTC (History)
2 users (show)

Fixed In Version: tfm-rubygem-foreman_azure_rm-2.0.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:27:30 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28355 High Closed [Foreman nightly] CR creates fail with 'Oops, we're sorry but something went wrong uninitialized constant ForemanAzureRM... 2020-01-08 12:11:19 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:27:40 UTC

Description Aditi Puntambekar 2019-11-26 14:37:40 UTC
Description of problem:

Could not create AzureRM compute resource with error: "Oops, we're sorry but something went wrong uninitialized constant ForemanAzureRM::AzureSDKAdapter".
This was due to a minor "autoloading" functionality used, that works fine in development but fails in production.
Hence, raised a PR to replace it with "eagerloading".

How reproducible:

Steps to Reproduce:
1.Go to compute resources
2.Create Compute Resource
3.Fill in azurerm credentials required.
4.Click on Submit.

Actual results:
"Oops, we're sorry but something went wrong uninitialized constant ForemanAzureRM::AzureSDKAdapter"

Expected results:
Compute Resource created successfully.

Additional info:

The PR has been merged in upstream.

https://github.com/theforeman/foreman_azure_rm/pull/46

Comment 3 Bryan Kearney 2019-11-26 15:05:34 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/28355 has been resolved.

Comment 4 vijsingh 2019-12-02 10:41:42 UTC
ON_QA Verified

@Satellite 6.7.0 snap 4.0

Comment 7 errata-xmlrpc 2020-04-14 13:27:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.